# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Thu Jul 24 05:26:54 2025
# ------------------------------------------------

package:
  name: bellmans-gapc
  version: 2024.01.12
source:
  sha256: 590b62d5fc39b1deb45855b0586d7ca3674ef17c59fc84ef445d2760a480f7ba
  url: https://github.com/jlab/gapc/archive/2024.01.12.tar.gz
build:
  number: '5'
  run_exports:
    - bellmans-gapc >=2024.1.12
  string: h3053a90_5
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.44 h4bf12b8_1
    - binutils_linux-64 2.44 h4852527_1
    - bison 3.8.2 h59595ed_0
    - flex 2.6.4 h58526e2_1004
    - gcc_impl_linux-64 13.3.0 h1e990d8_2
    - gcc_linux-64 13.3.0 h6f18a23_11
    - gnuconfig 2020.11.07 hd8ed1ab_0
    - gxx_impl_linux-64 13.3.0 hae580e1_2
    - gxx_linux-64 13.3.0 hb14504d_11
    - kernel-headers_linux-64 3.10.0 he073ed8_18
    - ld_impl_linux-64 2.44 h1423503_1
    - libgcc 15.1.0 h767d61c_3
    - libgcc-devel_linux-64 13.3.0 hc03c837_102
    - libgcc-ng 15.1.0 h69a702a_3
    - libgomp 15.1.0 h767d61c_3
    - libsanitizer 13.3.0 he8ea267_2
    - libstdcxx 15.1.0 h8f9b012_3
    - libstdcxx-devel_linux-64 13.3.0 hc03c837_102
    - libstdcxx-ng 15.1.0 h4852527_3
    - m4 1.4.20 hb9d3cd8_0
    - make 4.4.1 hb9d3cd8_2
    - pkg-config 0.29.2 h4bc722e_1009
    - sysroot_linux-64 2.17 h0157908_18
    - tzdata 2025b h78e105d_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - blas 2.132 openblas
    - blas-devel 3.9.0 32_h1ea3ea9_openblas
    - boost-cpp 1.85.0 h3c6214e_4
    - bzip2 1.0.8 h4bc722e_7
    - gsl 2.7 he838d99_0
    - icu 75.1 he02047a_0
    - libblas 3.9.0 32_h59b9bed_openblas
    - libboost 1.85.0 h0ccab89_4
    - libboost-devel 1.85.0 h00ab1b0_4
    - libboost-headers 1.85.0 ha770c72_4
    - libcblas 3.9.0 32_he106b2a_openblas
    - libgcc 15.1.0 h767d61c_3
    - libgcc-ng 15.1.0 h69a702a_3
    - libgfortran 15.1.0 h69a702a_3
    - libgfortran5 15.1.0 hcea5267_3
    - libgomp 15.1.0 h767d61c_3
    - liblapack 3.9.0 32_h7ac8fdf_openblas
    - liblapacke 3.9.0 32_he2f377e_openblas
    - liblzma 5.8.1 hb9d3cd8_2
    - liblzma-devel 5.8.1 hb9d3cd8_2
    - libopenblas 0.3.30 pthreads_h94d23a6_0
    - libstdcxx 15.1.0 h8f9b012_3
    - libstdcxx-ng 15.1.0 h4852527_3
    - libzlib 1.3.1 hb9d3cd8_2
    - openblas 0.3.30 pthreads_h6ec200e_0
    - sed 4.9 h6688a6e_0
    - xz 5.8.1 hbcc6ac9_2
    - xz-gpl-tools 5.8.1 hbcc6ac9_2
    - xz-tools 5.8.1 hb9d3cd8_2
    - zstd 1.5.7 hb8e6e7a_2
  run:
    - blas
    - boost-cpp
    - gsl >=2.7,<2.8.0a0
    - libgcc >=13
    - libstdcxx >=13
    - make
    - sed
test:
  commands:
    - gapc -h
about:
  dev_url: https://github.com/jlab/gapc
  doc_url: https://bibiserv.cebitec.uni-bielefeld.de/gapc
  home: https://github.com/jlab/gapc
  license: GPL-3.0-or-later
  license_family: GPL3
  license_file: LICENSE
  summary: A language and compiler for algebraic dynamic programming.
extra:
  additional-platforms:
    - osx-arm64
  copy_test_source_files: true
  final: true
